Bug 1862875 - Deleting bmh in PROVISIONING STATUS "ready" by "oc delete bmh' stuck
Summary: Deleting bmh in PROVISIONING STATUS "ready" by "oc delete bmh' stuck
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: 4.5.z
Assignee: Doug Hellmann
QA Contact: Lubov
URL:
Whiteboard:
Depends On: 1837505
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 05:37 UTC by Amit Ugol
Modified: 2020-09-08 10:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1837505
Environment:
Last Closed: 2020-09-08 10:54:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-baremetal pull 94 0 None closed Bug 1862875: remove machine finalizer from host when deleting machine 2021-02-01 09:06:03 UTC
Red Hat Product Errata RHBA-2020:3510 0 None None None 2020-09-08 10:54:35 UTC

Comment 2 Doug Hellmann 2020-08-04 13:49:39 UTC
Added a link to the backport PR.

Comment 4 Doug Hellmann 2020-08-17 18:03:13 UTC
Now that the 4.6 fix has been verified, https://github.com/openshift/cluster-api-provider-baremetal/pull/94 is a candidate to merge for 4.5.

Comment 7 Lubov 2020-08-23 11:47:57 UTC
Verified on
Client Version: 4.5.6
Server Version: 4.5.0-0.nightly-2020-08-22-015330
Kubernetes Version: v1.18.3+0bec244

Comment 9 errata-xmlrpc 2020-09-08 10:54:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.